Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.imp
Class ExtentImp

    java.lang.Object
      com.atomikos.icatch.imp.ExtentImp

All Implemented Interfaces:
  Extent, Serializable

    public class ExtentImp

extends Object
implements Extent

The extent carries the information about the 'size' of a propagation after it returns: the indirectly invoked servers, and the orphan detection information for those.

See Also:
  Serialized Form

Constructor Summary
`ExtentImp()`
`ExtentImp(Hashtable participants, Stack directs)`

Method Summary
`void` | `add(Extent extent)` Merges another extent into this one.
`void` | `add(Participant participant, int count)` Adds a participant to the extent.
`void` | `addRemoteParticipants(Dictionary participants)`
`Stack` | `getParticipants()`
`Hashtable` | `getRemoteParticipants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtentImp

    public ExtentImp()

### ExtentImp

    public ExtentImp(Hashtable participants,
                     Stack directs)

Method Detail

### addRemoteParticipants

    public void addRemoteParticipants(Dictionary participants)
                               throws IllegalStateException,
                                      SysException

  Throws:
    `IllegalStateException`
    `SysException`

### getRemoteParticipants

    public Hashtable getRemoteParticipants()

  Specified by:
    `getRemoteParticipants` in interface `Extent`
  Returns:
    Hashtable Mapping URIs of remote participants (directly or indirectly invoked) to Integer counts that represent the number of invocations detected by each participant.
  See Also:
    `Extent`

### getParticipants

    public Stack getParticipants()

  Specified by:
    `getParticipants` in interface `Extent`
  Returns:
    Stack A stack of direct participants. Direct participants are those that need to be added to the client TM's two-phase commit set. NOTE: If a participant occurs in the direct participant set, it will also be part of the remote set.
  See Also:
    `Extent`

### add

    public void add(Participant participant,
                    int count)
             throws SysException,
                    IllegalStateException

  Description copied from interface: `Extent`
  Adds a participant to the extent. This method is called at the server side, in order to add the work done to the two-phase commit set of the calling (client) side, as well as to make sure that orphan information is propagated through the system.

  Specified by:
    `add` in interface `Extent`
  Parameters:
    `participant` - This instance will be added to the indirect as well as to the direct participant set.
    `count` - The number of invocations detected by the adding client.
  Throws:
    `SysException`
    `IllegalStateException` - If no longer allowed.
  See Also:
    `Extent`

### add

    public void add(Extent extent)
             throws IllegalStateException,
                    SysException

  Description copied from interface: `Extent`
  Merges another extent into this one.

  Specified by:
    `add` in interface `Extent`
  Parameters:
    `extent` - The extent to add.
  Throws:
    `IllegalStateException` - If no longer allowed.
    `SysException`
  See Also:
    `Extent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.